diff --git a/src/main/resources/odf1.3/OpenDocument-v1.3-schema.rng b/src/main/resources/odf1.3/OpenDocument-v1.3-schema.rng
index dc77c4f..beeffd8 100644
--- a/src/main/resources/odf1.3/OpenDocument-v1.3-schema.rng
+++ b/src/main/resources/odf1.3/OpenDocument-v1.3-schema.rng
@@ -2071,20 +2071,27 @@
   </rng:define>
   <rng:define name="common-in-content-meta-attlist">
     <rng:attribute name="xhtml:about">
       <rng:ref name="URIorSafeCURIE"/>
     </rng:attribute>
     <rng:attribute name="xhtml:property">
       <rng:ref name="CURIEs"/>
     </rng:attribute>
     <rng:ref name="common-meta-literal-attlist"/>
   </rng:define>
+  <rng:define name="common-input-required-attlist">
+    <rng:optional>
+      <rng:attribute name="form:input-required">
+        <rng:ref name="boolean"/>
+      </rng:attribute>
+    </rng:optional>
+  </rng:define>
   <rng:define name="common-keep-with-next-attlist">
     <rng:optional>
       <rng:attribute name="fo:keep-with-next">
         <rng:choice>
           <rng:value>auto</rng:value>
           <rng:value>always</rng:value>
         </rng:choice>
       </rng:attribute>
     </rng:optional>
   </rng:define>
@@ -6038,20 +6045,21 @@
         <rng:attribute name="form:xforms-submission">
           <rng:ref name="string"/>
         </rng:attribute>
       </rng:optional>
     </rng:interleave>
   </rng:define>
   <rng:define name="form-checkbox-attlist">
     <rng:interleave>
       <rng:ref name="form-control-attlist"/>
       <rng:ref name="common-disabled-attlist"/>
+      <rng:ref name="common-input-required-attlist"/>
       <rng:ref name="label"/>
       <rng:ref name="common-printable-attlist"/>
       <rng:ref name="common-tab-attlist"/>
       <rng:ref name="common-title-attlist"/>
       <rng:ref name="common-value-attlist"/>
       <rng:ref name="common-data-field-attlist"/>
       <rng:ref name="common-form-visual-effect-attlist"/>
       <rng:ref name="common-form-relative-image-position-attlist"/>
       <rng:ref name="common-linked-cell"/>
       <rng:optional>
@@ -6083,20 +6091,21 @@
     <rng:ref name="common-form-control-attlist"/>
     <rng:ref name="label"/>
     <rng:ref name="text-style-name"/>
   </rng:define>
   <rng:define name="form-combobox-attlist">
     <rng:interleave>
       <rng:ref name="form-control-attlist"/>
       <rng:ref name="common-current-value-attlist"/>
       <rng:ref name="common-disabled-attlist"/>
       <rng:ref name="dropdown"/>
+      <rng:ref name="common-input-required-attlist"/>
       <rng:ref name="common-maxlength-attlist"/>
       <rng:ref name="common-printable-attlist"/>
       <rng:ref name="common-readonly-attlist"/>
       <rng:ref name="size"/>
       <rng:ref name="common-tab-attlist"/>
       <rng:ref name="common-title-attlist"/>
       <rng:ref name="common-value-attlist"/>
       <rng:ref name="common-convert-empty-attlist"/>
       <rng:ref name="common-data-field-attlist"/>
       <rng:ref name="list-source"/>
@@ -6118,20 +6127,21 @@
       <rng:empty/>
     </rng:element>
   </rng:define>
   <rng:define name="form-control-attlist">
     <rng:ref name="common-form-control-attlist"/>
     <rng:ref name="common-control-id-attlist"/>
     <rng:ref name="xforms-bind-attlist"/>
   </rng:define>
   <rng:define name="form-date-attlist">
     <rng:interleave>
+      <rng:ref name="common-input-required-attlist"/>
       <rng:optional>
         <rng:attribute name="form:value">
           <rng:ref name="date"/>
         </rng:attribute>
       </rng:optional>
       <rng:optional>
         <rng:attribute name="form:current-value">
           <rng:ref name="date"/>
         </rng:attribute>
       </rng:optional>
@@ -6311,20 +6321,21 @@
           <rng:ref name="tab-cycles"/>
         </rng:attribute>
       </rng:optional>
     </rng:interleave>
   </rng:define>
   <rng:define name="form-formatted-text-attlist">
     <rng:interleave>
       <rng:ref name="form-control-attlist"/>
       <rng:ref name="common-current-value-attlist"/>
       <rng:ref name="common-disabled-attlist"/>
+      <rng:ref name="common-input-required-attlist"/>
       <rng:ref name="common-maxlength-attlist"/>
       <rng:ref name="common-printable-attlist"/>
       <rng:ref name="common-readonly-attlist"/>
       <rng:ref name="common-tab-attlist"/>
       <rng:ref name="common-title-attlist"/>
       <rng:ref name="common-value-attlist"/>
       <rng:ref name="common-convert-empty-attlist"/>
       <rng:ref name="common-data-field-attlist"/>
       <rng:ref name="common-linked-cell"/>
       <rng:ref name="common-spin-button"/>
@@ -6377,40 +6388,42 @@
     <rng:ref name="common-printable-attlist"/>
     <rng:ref name="common-tab-attlist"/>
     <rng:ref name="target-frame"/>
     <rng:ref name="target-location"/>
     <rng:ref name="common-title-attlist"/>
     <rng:ref name="common-value-attlist"/>
   </rng:define>
   <rng:define name="form-image-frame-attlist">
     <rng:ref name="form-control-attlist"/>
     <rng:ref name="common-disabled-attlist"/>
+    <rng:ref name="common-input-required-attlist"/>
     <rng:ref name="image-data"/>
     <rng:ref name="common-printable-attlist"/>
     <rng:ref name="common-readonly-attlist"/>
     <rng:ref name="common-title-attlist"/>
     <rng:ref name="common-data-field-attlist"/>
   </rng:define>
   <rng:define name="form-item">
     <rng:element name="form:item">
       <rng:ref name="form-item-attlist"/>
       <rng:text/>
     </rng:element>
   </rng:define>
   <rng:define name="form-item-attlist">
     <rng:ref name="label"/>
   </rng:define>
   <rng:define name="form-listbox-attlist">
     <rng:interleave>
       <rng:ref name="form-control-attlist"/>
       <rng:ref name="common-disabled-attlist"/>
       <rng:ref name="dropdown"/>
+      <rng:ref name="common-input-required-attlist"/>
       <rng:ref name="common-printable-attlist"/>
       <rng:ref name="size"/>
       <rng:ref name="common-tab-attlist"/>
       <rng:ref name="common-title-attlist"/>
       <rng:ref name="bound-column"/>
       <rng:ref name="common-data-field-attlist"/>
       <rng:ref name="list-source"/>
       <rng:ref name="list-source-type"/>
       <rng:ref name="common-linked-cell"/>
       <rng:ref name="list-linkage-type"/>
@@ -6460,20 +6473,21 @@
   <rng:define name="form-option-attlist">
     <rng:ref name="current-selected"/>
     <rng:ref name="selected"/>
     <rng:ref name="label"/>
     <rng:ref name="common-value-attlist"/>
   </rng:define>
   <rng:define name="form-password-attlist">
     <rng:interleave>
       <rng:ref name="form-control-attlist"/>
       <rng:ref name="common-disabled-attlist"/>
+      <rng:ref name="common-input-required-attlist"/>
       <rng:ref name="common-maxlength-attlist"/>
       <rng:ref name="common-printable-attlist"/>
       <rng:ref name="common-tab-attlist"/>
       <rng:ref name="common-title-attlist"/>
       <rng:ref name="common-value-attlist"/>
       <rng:ref name="common-convert-empty-attlist"/>
       <rng:ref name="common-linked-cell"/>
       <rng:optional>
         <rng:attribute name="form:echo-char">
           <rng:ref name="character"/>
@@ -6606,61 +6620,65 @@
       <rng:ref name="common-value-and-type-attlist"/>
       <rng:attribute name="office:value-type">
         <rng:value>void</rng:value>
       </rng:attribute>
     </rng:choice>
   </rng:define>
   <rng:define name="form-radio-attlist">
     <rng:ref name="form-control-attlist"/>
     <rng:ref name="current-selected"/>
     <rng:ref name="common-disabled-attlist"/>
+    <rng:ref name="common-input-required-attlist"/>
     <rng:ref name="label"/>
     <rng:ref name="common-printable-attlist"/>
     <rng:ref name="selected"/>
     <rng:ref name="common-tab-attlist"/>
     <rng:ref name="common-title-attlist"/>
     <rng:ref name="common-value-attlist"/>
     <rng:ref name="common-data-field-attlist"/>
     <rng:ref name="common-form-visual-effect-attlist"/>
     <rng:ref name="common-form-relative-image-position-attlist"/>
     <rng:ref name="common-linked-cell"/>
   </rng:define>
   <rng:define name="form-text-attlist">
     <rng:ref name="form-control-attlist"/>
     <rng:ref name="common-current-value-attlist"/>
     <rng:ref name="common-disabled-attlist"/>
+    <rng:ref name="common-input-required-attlist"/>
     <rng:ref name="common-maxlength-attlist"/>
     <rng:ref name="common-printable-attlist"/>
     <rng:ref name="common-readonly-attlist"/>
     <rng:ref name="common-tab-attlist"/>
     <rng:ref name="common-title-attlist"/>
     <rng:ref name="common-value-attlist"/>
     <rng:ref name="common-convert-empty-attlist"/>
     <rng:ref name="common-data-field-attlist"/>
     <rng:ref name="common-linked-cell"/>
   </rng:define>
   <rng:define name="form-textarea-attlist">
     <rng:ref name="form-control-attlist"/>
     <rng:ref name="common-current-value-attlist"/>
     <rng:ref name="common-disabled-attlist"/>
+    <rng:ref name="common-input-required-attlist"/>
     <rng:ref name="common-maxlength-attlist"/>
     <rng:ref name="common-printable-attlist"/>
     <rng:ref name="common-readonly-attlist"/>
     <rng:ref name="common-tab-attlist"/>
     <rng:ref name="common-title-attlist"/>
     <rng:ref name="common-value-attlist"/>
     <rng:ref name="common-convert-empty-attlist"/>
     <rng:ref name="common-data-field-attlist"/>
     <rng:ref name="common-linked-cell"/>
   </rng:define>
   <rng:define name="form-time-attlist">
     <rng:interleave>
+      <rng:ref name="common-input-required-attlist"/>
       <rng:optional>
         <rng:attribute name="form:value">
           <rng:ref name="time"/>
         </rng:attribute>
       </rng:optional>
       <rng:optional>
         <rng:attribute name="form:current-value">
           <rng:ref name="time"/>
         </rng:attribute>
       </rng:optional>
